"""empty message

Revision ID: 0f08974b4118
Revises: 
Create Date: 2019-03-14 14:38:40.894594

"""
from alembic import op
import sqlalchemy as sa
from grant.task.models import JsonEncodedDict

# revision identifiers, used by Alembic.
revision = '0f08974b4118'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
# ### commands auto generated by Alembic - please adjust! ###
    op.create_table('rfp',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date_created', sa.DateTime(), nullable=True),
    sa.Column('title', sa.String(length=255), nullable=False),
    sa.Column('brief', sa.String(length=255), nullable=False),
    sa.Column('content', sa.Text(), nullable=False),
    sa.Column('category', sa.String(length=255), nullable=False),
    sa.Column('status', sa.String(length=255), nullable=False),
    sa.Column('matching', sa.Boolean(), nullable=False),
    sa.Column('bounty', sa.String(length=255), nullable=True),
    sa.Column('date_closes', sa.DateTime(), nullable=True),
    sa.Column('date_opened', sa.DateTime(), nullable=True),
    sa.Column('date_closed', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('role',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=80), nullable=True),
    sa.Column('description', sa.String(length=255), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('task',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('job_type', sa.Integer(), nullable=False),
    sa.Column('blob', JsonEncodedDict(), nullable=False),
    sa.Column('execute_after', sa.DateTime(), nullable=False),
    sa.Column('completed', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('email_address', sa.String(length=255), nullable=False),
    sa.Column('password', sa.String(length=255), nullable=False),
    sa.Column('display_name', sa.String(length=255), nullable=True),
    sa.Column('title', sa.String(length=255), nullable=True),
    sa.Column('active', sa.Boolean(), nullable=True),
    sa.Column('is_admin', sa.Boolean(), server_default=sa.text('FALSE'), nullable=False),
    sa.Column('totp_secret', sa.String(length=255), nullable=True),
    sa.Column('backup_codes', sa.String(), nullable=True),
    sa.Column('silenced', sa.Boolean(), nullable=True),
    sa.Column('banned', sa.Boolean(), nullable=True),
    sa.Column('banned_reason', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email_address')
    )
    op.create_table('avatar',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('image_url', sa.String(length=255), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('email_recovery',
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.Column('code', sa.String(length=255), nullable=False),
    sa.Column('date_created', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('user_id'),
    sa.UniqueConstraint('code')
    )
    op.create_table('email_verification',
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.Column('code', sa.String(length=255), nullable=False),
    sa.Column('has_verified', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('user_id'),
    sa.UniqueConstraint('code')
    )
    op.create_table('proposal',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date_created', sa.DateTime(), nullable=True),
    sa.Column('rfp_id', sa.Integer(), nullable=True),
    sa.Column('status', sa.String(length=255), nullable=False),
    sa.Column('title', sa.String(length=255), nullable=False),
    sa.Column('brief', sa.String(length=255), nullable=False),
    sa.Column('stage', sa.String(length=255), nullable=False),
    sa.Column('content', sa.Text(), nullable=False),
    sa.Column('category', sa.String(length=255), nullable=False),
    sa.Column('date_approved', sa.DateTime(), nullable=True),
    sa.Column('date_published', sa.DateTime(), nullable=True),
    sa.Column('reject_reason', sa.String(), nullable=True),
    sa.Column('target', sa.String(length=255), nullable=False),
    sa.Column('payout_address', sa.String(length=255), nullable=False),
    sa.Column('deadline_duration', sa.Integer(), nullable=False),
    sa.Column('contribution_matching', sa.Float(), server_default=sa.text('0'), nullable=False),
    sa.Column('contribution_bounty', sa.String(length=255), server_default=sa.text("'0'"), nullable=False),
    sa.Column('rfp_opt_in', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['rfp_id'], ['rfp.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('roles_users',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('role_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['role_id'], ['role.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('social_media',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('service', sa.String(length=255), nullable=False),
    sa.Column('username', sa.String(length=255), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('user_settings',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.Column('email_subscriptions', sa.Integer(), nullable=True),
    sa.Column('refund_address', sa.String(length=255), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('comment',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date_created', sa.DateTime(), nullable=True),
    sa.Column('content', sa.Text(), nullable=False),
    sa.Column('hidden', sa.Boolean(), server_default=sa.text('FALSE'), nullable=False),
    sa.Column('reported', sa.Boolean(), server_default=sa.text('FALSE'), nullable=True),
    sa.Column('parent_comment_id', sa.Integer(), nullable=True),
    sa.Column('proposal_id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['parent_comment_id'], ['comment.id'], ),
    sa.ForeignKeyConstraint(['proposal_id'], ['proposal.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('milestone',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('index', sa.Integer(), nullable=False),
    sa.Column('date_created', sa.DateTime(), nullable=False),
    sa.Column('title', sa.String(length=255), nullable=False),
    sa.Column('content', sa.Text(), nullable=False),
    sa.Column('payout_percent', sa.String(length=255), nullable=False),
    sa.Column('immediate_payout', sa.Boolean(), nullable=True),
    sa.Column('date_estimated', sa.DateTime(), nullable=False),
    sa.Column('stage', sa.String(length=255), nullable=False),
    sa.Column('date_requested', sa.DateTime(), nullable=True),
    sa.Column('requested_user_id', sa.Integer(), nullable=True),
    sa.Column('date_rejected', sa.DateTime(), nullable=True),
    sa.Column('reject_reason', sa.String(length=255), nullable=True),
    sa.Column('reject_arbiter_id', sa.Integer(), nullable=True),
    sa.Column('date_accepted', sa.DateTime(), nullable=True),
    sa.Column('accept_arbiter_id', sa.Integer(), nullable=True),
    sa.Column('date_paid', sa.DateTime(), nullable=True),
    sa.Column('paid_tx_id', sa.String(length=255), nullable=True),
    sa.Column('proposal_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['accept_arbiter_id'], ['user.id'], ),
    sa.ForeignKeyConstraint(['proposal_id'], ['proposal.id'], ),
    sa.ForeignKeyConstraint(['reject_arbiter_id'], ['user.id'], ),
    sa.ForeignKeyConstraint(['requested_user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('proposal_arbiter',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('proposal_id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('status', sa.String(length=255), nullable=False),
    sa.ForeignKeyConstraint(['proposal_id'], ['proposal.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('proposal_contribution',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date_created', sa.DateTime(), nullable=False),
    sa.Column('proposal_id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('status', sa.String(length=255), nullable=False),
    sa.Column('amount', sa.String(length=255), nullable=False),
    sa.Column('tx_id', sa.String(length=255), nullable=True),
    sa.Column('refund_tx_id', sa.String(length=255), nullable=True),
    sa.Column('staking', sa.Boolean(), nullable=False),
    sa.Column('no_refund', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['proposal_id'], ['proposal.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('proposal_team',
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('proposal_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['proposal_id'], ['proposal.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], )
    )
    op.create_table('proposal_team_invite',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date_created', sa.DateTime(), nullable=True),
    sa.Column('proposal_id', sa.Integer(), nullable=False),
    sa.Column('address', sa.String(length=255), nullable=False),
    sa.Column('accepted', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['proposal_id'], ['proposal.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('proposal_update',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date_created', sa.DateTime(), nullable=True),
    sa.Column('proposal_id', sa.Integer(), nullable=False),
    sa.Column('title', sa.String(length=255), nullable=False),
    sa.Column('content', sa.Text(), nullable=False),
    sa.ForeignKeyConstraint(['proposal_id'], ['proposal.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
# ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('proposal_update')
    op.drop_table('proposal_team_invite')
    op.drop_table('proposal_team')
    op.drop_table('proposal_contribution')
    op.drop_table('proposal_arbiter')
    op.drop_table('milestone')
    op.drop_table('comment')
    op.drop_table('user_settings')
    op.drop_table('social_media')
    op.drop_table('roles_users')
    op.drop_table('proposal')
    op.drop_table('email_verification')
    op.drop_table('email_recovery')
    op.drop_table('avatar')
    op.drop_table('user')
    op.drop_table('task')
    op.drop_table('role')
    op.drop_table('rfp')
    # ### end Alembic commands ###
