"""proposal_contribution: add private, remove no_refund

Revision ID: 4505f00c4ebd
Revises: 0f08974b4118
Create Date: 2019-06-07 10:31:47.120185

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '4505f00c4ebd'
down_revision = '0f08974b4118'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('proposal_contribution', sa.Column('private', sa.Boolean(), server_default='true', nullable=False))
    op.drop_column('proposal_contribution', 'no_refund')
    # ### end Alembic commands ###

    # existing contributions with user ids are public
    op.execute("UPDATE proposal_contribution SET private = FALSE WHERE user_id IS NOT NULL")


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('proposal_contribution', sa.Column('no_refund', sa.BOOLEAN(), autoincrement=False, nullable=False))
    op.drop_column('proposal_contribution', 'private')
    # ### end Alembic commands ###
