# Community Guidelines

Commenters on ZF Grants should strive to be kind, respectful, and interesting. Ideally, your presence in the community should improve the experience for everyone.

<a name="rules"></a>

## [Rules](#rules)

We are committed to making participation in this forum a harassment-free experience for everyone, regardless of a person's...

* Level of experience.
* Gender identity and expression.
* Sexual orientation.
* Disability.
* Personal appearance.
* Body size.
* Race.
* Ethnicity.
* Age.
* Religion.
* Nationality.

Examples of **unacceptable** behavior include:

* Using sexualized language or imagery.
* Personal attacks.
* Trolling and insulting or derogatory comments.
* Public or private harassment.
* Publishing another person's private information, such as physical or electronic addresses, without explicit permission (AKA doxxing).
* Other unethical or unprofessional conduct, at the discretion of the ZF Grants admins.

<a name="moderation"></a>

## [Moderation](#moderation)

ZF Grants has the right and responsibility to remove, edit, or reject posts, comments and other contributions that are not aligned with these Community Guidelines, or to suspend or ban any ZF Grants user for other behaviors that they deem inappropriate, threatening, offensive, or harmful.

By adopting these Community Guidelines, the admins of ZF Grants commit themselves to fairly and consistently applying these principles to every aspect of managing discussions on the platform.

<a name="reporting"></a>

## [Reporting](#reporting)

Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by flagging the post or comment in question, or by emailing contact@zfnd.org.

All complaints will be reviewed, investigated, and will result in a response that is deemed necessary and appropriate for the circumstances. **ZF Grants is obligated to maintain confidentiality with regard to the reporter of an incident.**

_The guidelines listed in the sections above were adapted from the [rules of the Zcash Community Forum](https://forum.zcashcommunity.com/faq), which came from the [Zcash core contributor code of conduct](https://github.com/zcash/zcash/blob/master/code_of_conduct.md), which is itself based on [version 1.3.0 of the Contributor Covenant](https://www.contributor-covenant.org/version/1/3/0/code-of-conduct.html)._

<a name="etiquette"></a>

## [Etiquette](#etiquette)

Please do not:

* Post topics unrelated to Zcash.
* Solicit domain sales (even if related to Zcash).
* Bump comments sections without something new to add.
* Derail topics.
* Post links to phishing sites.
* Post spam.
* Create topics or replies for the sole purpose of causing unrest.
* Repost or comment excessively.
* Create and use multiple accounts as sockpuppets.
* Post solicitations for or about services considered illegal in the United States.
* Post links to internet gambling operations.
  * It's a crime for internet gambling operations to accept bets from United States persons, and the Justice Department takes the position that people who post advertisements or promotions for online gambling may be aiding and abetting those activities.

<a name="stealing"></a>

## [Copyright](#stealing)

You may not post anything digital that belongs to someone else without permission. You may not post descriptions of, links to, or methods for stealing someone’s intellectual property (software, video, audio, images), or for breaking any other law.

<a name="tos"></a>

## [Legal](#tos)

To use ZF Grants, you must agree to abide by our [Terms of Service](/tos). The data that constitutes your ZF Grants account and its activities is covered by our [Privacy Policy](/privacy).
