# Writing a Fantastic Grant Proposal

Looking for a walk-through of the interface? [Click here](/proposal-tutorial).

The Zcash Foundation awards grant funding to Zcash ecosystem projects that advance [our mission as a public charity](https://www.zfnd.org/about/#mission). In short, that mission is to build and support privacy tools for everyone and anyone, both serving and guided by the Zcash Community.

We are seeking grant projects that will help people understand, access, or use Zcash and its powerful privacy protections. You should aim to achieve one of the following:

* Improve the Zcash protocol or auxiliary software (inclusive of research).
* Create resources for people who already save and spend ZEC.
* Expand the Zcash community and/or increase Zcash adoption.

Privacy is the Foundation's focus and priority, so an ideal grant project is one that promotes, encourages, facilitates, or incorporates shielded addresses and z2z transactions. An ideal grant _proposal_ defines **who will benefit from the project, as well as _how_ and _why_**. Lastly, an ideal grant proposal is clear, pragmatic, detailed, and justified by solid evidence or reasoning.

* Clear = plainly stated and easy to understand
* Pragmatic = has realistic goals and expectations
* Detailed = includes a concrete plan of action
* Justified = aligned with [ZF’s mission](https://www.zfnd.org/about/#mission) and priorities

## ZF Grants Proposal Template

You are not required to use the following template, but your proposal should provide equivalent information.

### Background

Summarize the qualifications that you and/or your team bring to the table. Show that you have the skills and expertise necessary for the project that you're proposing. (Institutional bona fides are not required, but we do want to hear about your track record!)

### Motivation

What are your high-level goals? Why are they important, and why is now the right time? How is your project connected to [ZF’s mission](https://www.zfnd.org/about/#mission) and priorities? Whose needs will it serve?

### Technical Approach

Dive into the _how_ of your project. Describe your approaches, components, workflows, methodology, etc. Bullet points and diagrams are appreciated!

### Execution Risks

What obstacles do you expect? What is most likely to go wrong? Which unknown factors or dependencies could jeopardize success? What are your contingency plans? Will subsequent activities be required to maximize impact?

### Downsides

What are the negative ramifications if your project is successful? Consider usability, stability, privacy, integrity, availability, decentralization, interoperability, maintainability, technical debt, requisite education, etc.

### Evaluation Plan

What will your project look like if successful? How will we be able to tell? Include quantifiable metrics if possible.

### Schedule

What is your expected timeline for the project? List the concrete milestones and major tasks required to complete each milestone.

### Budget

How much funding do you need, and how will it be allocated (e.g., compensation for your effort, specific equipment, specific external services)? Specify a total cost, break it up into budget items, and explain the rationale for each item. Feel free to present multiple options in terms of scope and cost.

If you have any questions, reach out to [contact@zfnd.org](mailto:contact@zfnd.org). We're happy to help!
