# Zcash Privacy Policy

This policy describes how **Zcash Foundation** collects, uses, and
shares personal information. You can jump to particular topics by going
to the headings below:

* [Types Of Information We Collect](#types-of-information-we-collect)
* [Use And Processing Of Information](#use-and-processing-of-information)
* [Sharing Of Information](#sharing-of-information)
* [Your Choices](#your-choices)
* [How We Protect Personal Information](#how-we-protect-personal-information)
* [Miscellaneous](#miscellaneous)
* [Contact Information](#contact-information)

## Types Of Information We Collect

The following provides examples of the type of information that we
collect from you.

| Context                          | Types of Data                                                                                                                                                                                                                     |
|----------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Account Registration             | We collect your name and contact information when you create an account in order to provide account related functionalities.,We also collect information relating to the actions that you perform while logged into your account. |
| Cookies and first party tracking | We use cookies and clear GIFs to make our website operate efficiently.,“Cookies” are small pieces of information that a website sends to a device’s hard drive while a website is viewed.                                         |
| Donor Information                | We may collect the name and contact information of our donors.                                                                                                                                                                    |
| Email Interconnectivity          | If you receive email from us, we use certain tools to capture data related to when you open our message, click on any links or banners it contains.                                                                               |
| Employment Information           | If you apply for employment with us, we collect information from your application. If you are hired, we may collect additional information needed for employment, such as Social Security Number.                                 |
| Event Registration               | We collect your personal information to register you to attend events.                                                                                                                                                            |
| Mailing Lists                    | When you subscribe to an email newsletter or other mailing lists, we collect your email address so we can share announcements and updates with you.                                                                               |
| Payment Information              | Most payments to us are in Zcash. However, in limited scenarios we may collect payment information from you, such as to pay registration fees for an event.                                                                       |

In addition to the information that we collect from you directly, we may
also receive information about you from other sources, including
publicly available sources.

## Use and Processing Of Information

In addition to the purposes and uses described elsewhere in this policy,
we use information in the following ways:

-   To create and administer your account, and to contact you.

-   To provide you with and improve our services, such as grant collection.

-   To conduct analytics to improve the functionality of our platforms.
    This information is never shared with third parties.

-   To respond to inquiries related to support or other requests.

-   To send promotional materials, including announcements and donation
    solicitations.

-   For internal administrative purposes, as well as to manage our
    relationships.

## Sharing Of Information.

In addition to the specific situations discussed elsewhere in this
policy, we disclose information in the following situations:

1.  **Affiliates and Acquisitions**. If another non-profit entity plans
    to merge with us, or if another entity acquires our assets, we will
    also share information with that entity, including at the
    negotiation stage.

2.  **Other Disclosures with Your Consent.** We may ask if you would
    like us to share your information with other unaffiliated third
    parties who are not described elsewhere in this policy.

3.  **Other Disclosures without Your Consent**. We may disclose
    information in response to subpoenas, warrants, or court orders, or
    in connection with any legal process, or to comply with relevant
    laws. We may also share your information in order to establish or
    exercise our rights, to defend against a legal claim, to
    investigate, prevent, or take action regarding possible illegal
    activities, suspected fraud, safety of person or property, or a
    violation of our policies, or to comply with your request for the
    shipment of products to or the provision of services by a third
    party intermediary.

4.  **Public**. Our website may provide the opportunity to post comments
    or discussion, in a public forum. If you decide to submit
    information on these pages, that information will be publically
    available.

5.  **Service Providers**. We may share your information with service
    providers. Among other things service providers may help us to
    administer our website, conduct surveys, provide technical support,
    process payments, and assist in the fulfillment of orders. Service
    providers may only use the information as we direct.

## Your Choices.

You can make the following choices regarding your personal information:

1.  **Changes To Your Personal Information**. We rely on you to update
    and correct your personal information. Note that we may keep
    historical information in our backup files as permitted by law. If
    our website does not permit you to update or correct certain
    information, contact us at the address described below.

2.  **Online Tracking.** Like most websites, we do not currently
    recognize automated browser signals regarding tracking mechanisms,
    which may include \"Do Not Track\" instructions. We do try to
    minimize tracking.

3.  **Emails**. You may choose to provide us with your email address for
    the purpose of allowing us to send newsletters, surveys, and other
    promotional materials to you. You can stop receiving promotional
    emails by following the unsubscribe instructions in e-mails that you
    receive. If you decide not to receive promotional emails, we may
    still send you service related communications.

## How We Protect Personal Information

No method of transmission over the Internet, or method of electronic
storage, is fully secure. While we use reasonable efforts to protect
your personal information from unauthorized access, use, or disclosure,
we cannot guarantee the security of your personal information. In the
event that we are required by law to inform you of a breach to your
personal information we may notify you electronically, in writing, or by
telephone, if permitted to do so by law.

Our website allows you to create an account. When you do you will be
prompted to create a password. You are responsible for maintaining the
confidentiality of your password, and you are responsible for any access
to or use of your account by someone else that has obtained your
password, whether or not such access or use has been authorized by you.
You should notify us of any unauthorized use of your password or
account.

## Miscellaneous

The following additional information relates to our privacy practices:

-   **Third Party Applications/Websites**. We have no control over the
    privacy practices of websites or applications that we do not own.

-   **Changes To This Privacy Policy.** We may change our privacy policy
    and practices over time. To the extent that our policy changes in a
    material way, the policy that was in place at the time that you
    submitted personal information to us will generally govern that
    information unless we receive your consent to the new privacy
    policy.

## Contact Information.
If you have any questions concerning our privacy practices, please contact
us at the appropriate address below. We will attempt to respond to your
requests and to provide you with additional privacy-related information.

**Zcash Foundation**

**Email**: contact@zfnd.org
