# ZF Grants Terms and Conditions

Thanks for your interest in ZF Grants. By using this website (the
"Site") and services (together with the Site, the "Services") offered by
the Zcash Foundation through its ZF Grants platform ("ZF Grants," "we,"
or "us"), you're agreeing to these legally binding rules (the "Terms").
One element of the Services are "Grants," which are causes you can
donate to advance distributed ledger and blockchain technology, such as
bounties, research or crowdfunding. Grants may be created by ZF Grants
or other users. ZF Grants may also request proposals for Grants on the
Site.

Although ZF Grants deals primarily in Zcash, the Electric Coin Company
(previously known as the "Zcash Company") and the underlying Zcash
protocol are not part of ZF Grants and does not participate in the
Services.

## 1. Accounts

You can browse ZF Grants without registering for an account, but to use
some of our Services, you'll need to register and create a password.
When you create and account, the information you give us must be
accurate and complete. You may not impersonate anyone else or choose
names that are offensive or that violate anyone's rights. If you don't
follow these rules, we may cancel your account.

You're responsible for all the activity on your account, and for keeping
your password confidential. If you find out that someone's used your
account without your permission, you should report it to us using the
contact information on the Site. To sign up for an account, you need to
be at least 18 years old. We may ask you for proof of age. You can
modify the information in your account at any time through your account
settings. We may retain certain information as required by law or as
necessary for our business purposes. All provisions of these Terms
survive termination of an account, including our rights regarding any
Content (as defined below).

## 2. Prohibited Uses

The following are prohibited:

-   **Illegal Activity.** Don't take any action that infringes or
    violates other people's rights, violates the law, or breaches any
    contract or legal duty you have toward anyone.

-   **Fraud and Misrepresentation.** Don't post information you know is
    false, misleading, or inaccurate. Don't do anything deceptive or
    fraudulent.

-   **Bad Conduct.** Don't do anything threatening, abusive, harassing,
    defamatory, libelous, tortious, obscene, profane, or invasive of
    another person's privacy.

-   **Spam.** Don't distribute unsolicited or unauthorized advertising
    or promotional material, or any junk mail, spam, or chain letters.
    Don't run mail lists, listservs, or any kind of auto-responder or
    spam on or through the Site.

-   **Malware.** Don't distribute malware, viruses, or anything else
    (code, films, programs) designed to interfere with the proper
    function of any software, hardware, or equipment on the Site
    (whether it belongs to ZF Grants or another party).

-   **Interference.** Don't try to interfere with the proper workings of
    the Services. Don't bypass any measures we've put in place to secure
    the Services. Don't try to damage or get unauthorized access to any
    system, data, password, or other information, whether it belongs to
    ZF Grants or another party. Don't take any action that imposes an
    unreasonable load on our infrastructure, or on our third-party
    providers. (We reserve the right to determine what's reasonable.)
    Don't use any kind of software or device (whether it's manual or
    automated) to "crawl" or "spider" any part of the Site.

-   **Reverse Engineering.** Don't take apart or reverse engineer any
    aspect of the Services in an effort to access things like source
    code, underlying ideas, or algorithms.

## 3. How Grants Work

This is the process when you're **funding a Grant**:

The Services act as a funding platform for Grants. Users can donate to
Grants posted on the Services as they choose. The Services only allow
for donations and payouts in Zcash. **When you donate, you send Zcash
immediately** and it is settled on the Zcash blockchain. The exact
amount you pledged is the amount ZF Grants will collect. Once a Grant
reaches its funding goal, ZF Grants funds the Grant. If a Grant does not
reach its funding goal, ZF Grant will refund your donation to your
original payment method if possible. Some Grants may allow you donate
anonymously. If you have anonymously donated and the Grant does not
reach its funding goal, your donation will be converted to a general
donation to the Zcash Foundation.

These are the terms that apply when you're **creating a Grant:**

When you create a Grant, ZF Grants may require additional information
about you and may obtain information about you from publicly available
sources. We may also request additional information from you for other
purposes, for example when such information is necessary to comply with
applicable law. All such information is governed by our Privacy Policy.
ZF Grants may require that you agree to additional terms and conditions
specific to your Grant before your Grant is posted on the Site. ZF
Grants has sole discretion to determine when your Grant goal has been
fulfilled or when a certain milestone has been reached. Your Grant
reaching its funding goal does not obligate ZF Grants to fund your
Grant, ZF Grants reserves its right to withhold funding if we feel you
have violated these Terms or that your Grant is detrimental to ZF
Grants, Zcash, or other relevant technologies. You understand that
Grants are funded in Zcash and thus the value of Grant funding when
converted to other currency may fluctuate due to fluctuations in the
value of Zcash.

## 4. ZF Grant Responsibilities

ZF Grants isn't liable for any damages or losses related to your use of
the Services. We don't become involved in disputes between users, or
between users and any third party relating to the use of the Services.
We don't endorse any content users submit to the Site. When you use the
Services, you release ZF Grants from claims, damages, and demands of
every kind --- known or unknown, suspected or unsuspected, disclosed or
undisclosed --- arising out of or in any way related to such disputes
and the Services. All content you access through the Services is at your
own risk. You're solely responsible for any resulting damage or loss to
any party.

## 5. Other Websites

The Site may contain links to other websites. When you access
third-party websites, you do so at your own risk. We don't control or
endorse those sites. Information you provide to those third parties is
governed under their privacy policy, not ours. When you fund a Grant,
you're also agreeing to the payment processor's terms of service and
privacy policy.

## 6. Your Intellectual Property

ZF Grants doesn't own content you submit to us (your "Content"). But we
do need certain licenses from you in order to perform our Services. When
you provide Content, you agree:

-   **We can use your Content.** You grant to us, and others acting on
    our behalf, the worldwide, non-exclusive, perpetual, irrevocable,
    royalty-free, sublicensable, transferable right to use, exercise,
    commercialize, and exploit the copyright, publicity, trademark, and
    database rights with respect to your Content.

-   **We can make changes to Content.** You grant us the right to edit,
    modify, reformat, excerpt, delete, or translate any of your Content.

-   **You have the right to submit the Content for our use.** Your
    Content will not contain third-party copyrighted material, or
    material that is subject to other third-party proprietary rights,
    unless you have permission from the rightful owner of the material,
    or you are otherwise legally entitled to post the material (and to
    grant ZF Grants all the license rights outlined here). By submitting
    Content, you represent that you are legally allowed to share the
    Content with ZF Grants. You will pay all royalties and other amounts
    owed to any person or entity based on your Content, or on ZF Grants'
    hosting of that Content.

-   **That if we use the Content we're not violating anyone's rights or
    copyrights.** If ZF Grants or its users exploit or make use of
    Content in the ways contemplated here, you represent that this will
    not infringe or violate the rights of any third party, including
    (without limitation) any privacy rights, publicity rights,
    copyrights, contract rights, or any other intellectual property or
    proprietary rights.

-   **You're responsible for the Content.** All information and Content
    submitted to the Site, whether publicly posted or privately
    transmitted, is the sole responsibility of the person from whom that
    content originated.

## 7. ZF Grants's Intellectual Property

ZF Grants' Services are legally protected in various ways, including
copyrights, trademarks, service marks, patents, trade secrets, and other
rights and laws. You agree not to infringe on any rights of ZF Grants
and to respect all copyright and other legal notices, information, and
restrictions contained in any content accessed through the Site. You
also agree not to change, translate, or otherwise create derivative
works of the Service.

ZF Grants grants you revocable, worldwide, non-exclusive,
non-sublicensable, and non-transferable license to reproduce content
from the Services for personal use only. If you want to use, reproduce,
modify, distribute, or store any content for a commercial purpose, you
need prior written permission from ZF Grants. A "commercial purpose"
means you intend to use, sell, license, rent, or otherwise exploit
content for commercial use, in any way.

## 8. Copyright Notices

The Digital Millennium Copyright Act lays out a system of legal
requirements for dealing with allegations of copyright infringement. ZF
Grants complies with the DMCA, and we respond to notices of alleged
infringement if they comply with the law and our reasonable requirements
necessary to investigate the compliant. We reserve the right to delete
or disable content alleged to be infringing, and to terminate accounts
for repeat infringers. We do this when appropriate and at our sole
discretion.

If you'd like to submit a claim of copyright infringement, our
designated agent for notice of alleged copyright infringement is:

Zcash Foundation

1390 Chain Bridge Road, \#A132

McLean, VA 22101

contact@zfnd.org

## 9. Our Rights

ZF Grants reserves these rights:

-   We can make changes to the ZF Grants Site and Services without
    notice or liability.

-   We have the right to decide who's eligible to use ZF Grants. We can
    cancel accounts or decline to offer our Services. If these things
    are prohibited by law where you live, then we revoke your right to
    use ZF Grants in that jurisdiction.

-   We have the right to cancel any donation to any Grant, at any time
    and for any reason.

-   We have the right to reject, cancel, interrupt, remove, or suspend
    any Grant at any time and for any reason.

ZF Grants is not liable for any damages as a result of any of these
actions.

## 10. Warranty Disclaimer

You use our Services solely at your own risk. They are provided to you
"as is" and "as available" *and without warranty of any kind*, express
or implied. ZF GRANTS SPECIFICALLY DISCLAIMS ANY AND ALL WARRANTIES AND
CONDITIONS OF MERCHANTABILITY, NON-INFRINGEMENT, AND FITNESS FOR A
PARTICULAR PURPOSE, AND ANY WARRANTIES IMPLIED BY ANY COURSE OF DEALING,
COURSE OF PERFORMANCE, OR USAGE OF TRADE. NO ADVICE OR INFORMATION (ORAL
OR WRITTEN) OBTAINED BY YOU FROM ZF GRANTS SHALL CREATE ANY WARRANTY. ZF
GRANTS DISCLAIMS ANY WARRANTY OF ACCURACY RELATING TO ALL CONTENT AND
INFORMATION PROVIDED ON THE SITE OF FROM ZF GRANTS.

## 11. Indemnification

You agree to defend, indemnify, and hold us harmless from all
liabilities, claims, and expenses (including reasonable attorneys' fees
and other legal costs) that arise from or relate to your use or misuse
of ZF Grants or breach of these Terms. We reserve the right to assume
the exclusive defense and control of any matter otherwise subject to
this indemnification clause, in which case you agree that you'll
cooperate and help us in asserting any defenses.

## 12. Limitation of Liability

**TO THE FULLEST EXTENT PERMITTED BY LAW, IN NO EVENT WILL ZF GRANTS,
ITS DIRECTORS, EMPLOYEES, PARTNERS, SUPPLIERS, OR CONTENT PROVIDERS BE
LIABLE FOR ANY INDIRECT, INCIDENTAL, PUNITIVE, CONSEQUENTIAL, SPECIAL,
OR EXEMPLARY DAMAGES OF ANY KIND, INCLUDING BUT NOT LIMITED TO DAMAGES
(I) RESULTING FROM YOUR ACCESS TO, USE OF, OR INABILITY TO ACCESS OR USE
THE SERVICES; (II) FOR ANY LOST PROFITS, DATA LOSS, OR COST OF
PROCUREMENT OR SUBSTITUTE GOODS OR SERVICES; OR (III) FOR ANY CONDUCT OF
CONTENT OF ANY THIRD PARTY ON THE SITE. IN NO EVENT SHALL ZF GRANTS'
LIABILITY FOR DIRECT DAMAGES BE IN EXCESS OF (IN THE AGGREGATE) ONE
HUNDRED U.S. DOLLARS (\$100.00). YOU AGREE THAT THIS LIMITATION OF
LIABILITY IS A MATERIAL PART OF THESE TERMS AND THAT ZF GRANTS WOULD NOT
PROVIDE THE SERVICES WITHOUT IT.**

## 13. Dispute Resolution and Governing Law

ZF Grants encourages you to contact us if you're having an issue before
resorting to the courts. In the unfortunate situation where legal action
does arise, these Terms (and all other rules, policies, or guidelines
incorporated by reference or posted by ZF Grants) will be governed by
and construed in accordance with the laws of the State of Colorado and
the United States, without giving effect to any principles of conflicts
of law, and without application of the Uniform Computer Information
Transaction Act or the United Nations Convention of Controls for
International Sale of Goods. You agree that ZF Grants and its Services
are deemed a passive website that does not give rise to jurisdiction
over ZF Grants or its parents, subsidiaries, affiliates, assigns,
employees, agents, directors, officers, or shareholders, either specific
or general, in any jurisdiction other than the State of Colorado. You
agree that any action at law or in equity arising out of or relating to
these Terms, or your use or non-use of ZF Grants, shall be filed only in
the state or federal courts located in Denver, Colorado, and you hereby
consent and submit to the personal jurisdiction of these courts for the
purposes of litigating any such action. You hereby irrevocably waive any
right you may have to trial by jury in any dispute, action, or
proceeding.

## 14. Other Terms

These Terms and the other material referenced in them are the entire
agreement between you and ZF Grants with respect to the Services. They
supersede all other communications and proposals (whether oral, written,
or electronic) between you and ZF Grants with respect to the Services
and govern our future relationship. If any provision of these Terms is
found to be invalid under the law, that provision will be limited or
eliminated to the minimum extent necessary so that the Terms otherwise
will remain in full force and effect and enforceable. The failure of
either you or ZF Grants to exercise any right provided for in these
Terms in any way won't be deemed a waiver of any other rights. These
Terms are personal to you. You can't assign them, transfer them, or
sublicense them unless you get ZF Grants' prior written consent. ZF
Grants has the right to assign, transfer, or delegate any of its rights
and obligations under these Terms without your consent. ZF Grants will
provide you notice via email, written notice, or by conspicuously
posting the notice on our Site. We may change these Terms from time to
time, and may choose to notify you of material changes to them via email
or by posting notice on the Site.
